Community
Fusion API and Scripts
Got a new add-in to share? Need something specialized to be scripted? Ask questions or share what you’ve discovered with the community.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Add joints to bounding box

4 REPLIES 4
Reply
Message 1 of 5
kellings
316 Views, 4 Replies

Add joints to bounding box

Does the API in Fusion allow for adding a joint origin to the bounding box of a part? I want to be able to start the joint command and be able to select the top center of the bounding box face as a joint origin. I'm not a programmer so I just want to know if this is possible before I contract someone to do the work if it is possible. 

 

Thanks,

 

Kevin

Kevin Ellingson
Technical Specialist

If my post resolves your issue, please click the Accept Solution button.
4 REPLIES 4
Message 2 of 5
MichaelT_123
in reply to: kellings

Yes Mr. Kevin,

 

... it is possible.

 

Regards

MichaelT

MichaelT
Message 3 of 5
kellings
in reply to: MichaelT_123

Great, thank you so much for confirming. 

 

Kevin

Kevin Ellingson
Technical Specialist

If my post resolves your issue, please click the Accept Solution button.
Message 4 of 5
BrianEkins
in reply to: kellings

It depends on your definition of "bounding box".  I think of a bounding box as a theoretical rectangular box that totally encompasses a part.  It doesn't exist as physical geometry.  Creating a joint requires physical geometry.  But you might be thinking of something else as a "bounding box".

---------------------------------------------------------------
Brian Ekins
Inventor and Fusion 360 API Expert
Website/Blog: https://EkinsSolutions.com
Message 5 of 5
MichaelT_123
in reply to: BrianEkins

Hi Mr. Ekins, Mr.Kellings,

 

As Mr. Ekins pointed out  Creating a joint requires physical geometry.

This can be easily accommodated by adding some... but there is a different way also ...

by creating Floating Joint as in the sixties ( as the opposite practice of requiring a prescription as of today)

Obviously this can be done in secrecy only, so switching to direct modelling is a must.

How to do it (via API)?

- switch to direct modelling mode

- find required corner coordinates of your component's bounding box (cornerPoint)

- devise upon it the equivalent ConstructionPoint

  constructionPointInput_var.setByPoint(cornerPoint) ... and so on to get cornerConstructionPoint

- create from cornerConstructionPoint joint geometry placeholder

  cornerJointGeometry = adsk.fusion.JointGeometry.createByPoint(cornerConstructionPoint)

- create respective joint origin and modify its parameters as required

  joinOriginInput = jointOrigins_var.createInput(cornerJointGeometry) and so on to get cornerJointOrigin

- you can leave the direct modelling mode now

- find the partner to your cornerJointOrigin creating cornerJoint with  the required conviction

- remember cornerJoints are not permanent. Nevertheless do not overdose their predicaments frivolously.

 

With Regards

MichaelT

PS. The process can be modified in many ways, one of each would be to use the components coordinate origin as the base construction point (it would be my preferable option)

 

 

 

 

 

MichaelT

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk DevCon in Munich May 28-29th


Autodesk Design & Make Report